Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Download AI Call Transcription Data

Download a JSON file of desired AI call transcription data from CDR, including the call transcript and summary.

Note: This interface is only available in API version 2.0.

Steps to download AI call transcription data

  1. Get the download URL.
  2. Download the JSON file.

Request URL

GET {base_url}/{api_path}/cdr/aidownload?access_token={access_token}

Request parameters

Tip:Use the request parameters to filter the transcription data as needed.

ParameterRequiredTypeDescription
call_fromNoStringNumber of the caller who initiated the call.
call_toNoStringNumber of the caller who received the call.
call_typeNoStringThe communication type of the call.Valid value:
  • Internal
  • Inbound
  • Outbound
start_timeNoStringStart time of the query period.
Note: The time format depends on the date and time display format of PBX (set in System > Date and Time > Display Format on PBX).

Examples:

  • If the display format is Month/Day/Year and is 24-hours format, then the valid time format is MM/DD/YYYY HH:mm:ss.
  • If the display format is Year/Month/Day and is 12-hours format, then the valid time format is YYYY/MM/DD HH:mm:ss AM or YYYY/MM/DD HH:mm:ss PM.
end_timeNoStringEnd time of the query period.
Note: The time format depends on the date and time display format of PBX (set in System > Date and Time > Display Format on PBX).

Examples:

  • If the display format is Month/Day/Year and is 24-hours format, then the valid time format is MM/DD/YYYY HH:mm:ss.
  • If the display format is Year/Month/Day and is 12-hours format, then the valid time format is YYYY/MM/DD HH:mm:ss AM or YYYY/MM/DD HH:mm:ss PM.
last_statusNoStringThe final status of the call.
Valid value:
  • ANSWERED
  • NO ANSWER
  • ABANDONED
  • BUSY
  • FAILED
  • VOICEMAIL

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note: You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
fileStringThe name of the AI call transcription data JSON file.
download_resource_urlStringThe download URL of the AI call transcription data JSON file.
Note: The download URL is valid only for 30 minutes.

Example

Request example

Get the download URL of the AI call transcription data.

GET /openapi/v2.0/cdr/aidownload?access_token=vtqkVFQcIfbDuWGjSScZk6RGzO0Zdfic HTTP/1.1
192.168.5.150:8088

Response example

{
    "errcode": 0,
    "errmsg": "SUCCESS",
    "file": "PBX-AI_Transcription-X.23.0.70-download-20260514104731-PXFbRkarEjkQzHFL.json",
    "download_resource_url": "/api/download/PBX-AI_Transcription-X.23.0.70-download-20260514104731-PXFbRkarEjkQzHFL.json"
}

Download the AI call transcription data

After obtaining the download URL for the JSON file, combine it with the {base_url} and append the {access_token} parameter. Then, use the complete link to download the desired file.

Download link format

{base_url}/{download_resource_url}?access_token={access_token}

Download link example

https://192.168.5.150:8088/api/download/PBX-AI_Transcription-X.23.0.70-download-20260514104731-PXFbRkarEjkQzHFL.json?access_token=vtqkVFQcIfbDuWGjSScZk6RGzO0Zdfic

Downloaded File Content

The content of the downloaded file is detailed below.

JSON example

 [
    {
        "uid": "20260509214921EFE9A",
        "leg_id": "20260509214921-8AA6D",
        "leg": 1,
        "time": "2026/05/09 21:49:21",
        "call_type": "Internal",
        "call_from": "3200",
        "call_to": "7000",
        "status": "ANSWERED",
        "call_duration": 13,
        "ring_duration": 3,
        "talk_duration": 10,
        "hold_duration": 0,
        "ai_transcription": [
            {
                "source_number": "7000",
                "content": "Hi",
                "timestamp": 1778334561705,
                "duration": 0
            }
        ],
        "ai_summary": "The conversation began with the agent initiating contact with a simple greeting."
    },
    ....
]

Parameter description

ParameterTypeDescription
uidStringThe unique ID of CDR to which the call leg belongs.
leg_idStringThe ID of the call leg.
legIntegerThe sequence number of the call leg in the downloaded data.
timeStringThe time when the call was initiated or received.
call_typeStringThe communication type of the call.
  • Internal
  • Inbound
  • Outbound
call_fromStringThe number of the caller who initiated the call.
call_toStringThe number of the callee who received the call.
statusStringThe final status of the call leg.
  • ANSWERED
  • NO ANSWER
  • BUSY
  • FAILED
  • VOICEMAIL
  • ABANDONED
call_durationIntegerThe time between the call stared and the call ended (in secondes).
ring_durationIntegerThe time between the call started and the call answered (in secondes).
talk_durationIntegerThe time between the call answered and the call ended (in secondes).
Note: The call hold time is excluded.
hold_durationIntegerThe time during which the call is placed on hold (in secondes).
ai_transcriptionArray<Context>AI-generated call transcript content.
ai_summaryStringAI-generated call summary content.

Context

ParameterTypeDescription
source_numberstringThe number of the user who spoke the original content of this record.
contentStringThe transcribed text content.
timestampintegerThe timestamp (in milliseconds) of the original event that generated this transcription record (i.e., when a sentence was spoken).
durationintegerThe length of the original speech that this transcription record corresponds to (in seconds).
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app